package xyz.thastertyn.Tuples;

/**
 * Ekvitalent Tuplu, ktery neni zabudovan v jave
 */
public class Triplet<T1, T2, T3> {
	
	private T1 value0;
	private T2 value1;
	private T3 value2;

	public Triplet(T1 value0, T2 value1, T3 value2)
	{
		this.value0 = value0;
		this.value1 = value1;
		this.value2 = value2;
	}
	
	public Triplet()
	{

	}

	public void put(T1 value0, T2 value1, T3 value2)
	{
		this.value0 = value0;
		this.value1 = value1;
		this.value2 = value2;
	}

	public T1 getValue0()
	{
		return value0;
	}

	public T2 getValue1()
	{
		return value1;
	}

	public T3 getValue2()
	{
		return value2;	
	}

	public void setValue0(T1 value0)
	{
		this.value0 = value0;
	}

	public void setValue1(T2 value1)
	{
		this.value1 = value1;
	}

	public void setValue2(T3 value2)
	{
		this.value2 = value2;
	}

	@Override
	public String toString()
	{
		return "[" + value0 + ", " + value1 + "]";
	}
}
